<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<title>CarbonPHP Documentation</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		html {
			font-family: "Lucida Sans Unicode", "Lucida Grande";
			font-size: 14px;
		}

		body {
			background: #fff;
			color: #666;
		}

		h1 {
			font-size: 15px;
			font-weight: bold;
			margin-bottom: 5px;
		}

		ol, ul {
			margin: 10px 0 10px 0;
			list-style-position: inside;
		}

		p {
			margin: 5px 0 5px 0;
		}

		.content {
			border: 1px dotted #444;
			margin: 10px;
			padding: 10px;
			text-align: justify;
			width: 700px;
		}

		.example {
			border: 1px solid #ccc;
			background: #eee;
			margin: 10px;
			padding: 10px;
		}
	</style>
</head>

<body>
	<div class="content">
		<h1>Autoloading CarbonPHP Resources</h1>

		<p>CarbonPHP has a feature that allows you to <b>autoload</b> libraries, utilities, and other files everytime
		it runs.  If you find yourself loading resources a lot throughout your application you should consider
		autoloading them.  The following items can be autoloaded in CarbonPHP.</p>

		<ul>
			<li>Core libraries found in the <b>libaries/</b> directory.</li>
			<li>Utility files found in the <b>utilities/</b> directory.</li>
			<li>Custom configuration files found in the <b>application/config/</b> directory.</li>
			<li>Language files found in the <b>languages/</b> directory.</li>
		</ul>

		<p>To autoload the items edit the <b>application/config/autoload.php</b> file and add the item you want
		to autoload into the array.  <i>Note</i>: you do not include the file extension when adding the item to the
		autoload array.</p>
	</div>
</body>

</html>
